'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = isLatLngInPolygon;

var _geolib = require('geolib');

var _geolib2 = _interopRequireDefault(_geolib);

var _parseGeoCoordinates = require('./parseGeoCoordinates');

var _parseGeoCoordinates2 = _interopRequireDefault(_parseGeoCoordinates);

var _GeolibError = require('./GeolibError');

var _isValidGeoCoordinates = require('./isValidGeoCoordinates');

var _isValidGeoCoordinates2 = _interopRequireDefault(_isValidGeoCoordinates);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isLatLngInPolygon(latitude, longitude, polygon) {
    if (!(0, _isValidGeoCoordinates2.default)([longitude, latitude])) {
        throw new Error(_GeolibError.INVALID_COORDINATES);
    }
    var parsedPolygon = polygon.map(_parseGeoCoordinates2.default);
    var isPointInside = _geolib2.default.isPointInside;

    return isPointInside({ latitude: latitude, longitude: longitude }, parsedPolygon);
}