'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = parseGeoCoordinates;

var _isValidGeoCoordinates = require('./isValidGeoCoordinates');

var _isValidGeoCoordinates2 = _interopRequireDefault(_isValidGeoCoordinates);

var _GeolibError = require('./GeolibError');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function parseGeoCoordinates(coordinates) {

    if (!(0, _isValidGeoCoordinates2.default)(coordinates)) {
        throw new Error(_GeolibError.INVALID_COORDINATES);
    }

    return {
        latitude: Number(coordinates[1]),
        longitude: Number(coordinates[0])
    };
}